[centos-users 1667] Re: CENTOS6.6のyum install glusterfs-server できなくて困っています(西村)

ngyuki ngyuki.jp @ gmail.com
2015年 6月 8日 (月) 12:30:12 JST


glusterfs-server は glusterfs-cli や glusterfs-fuse などのパッケージに依存しており、
glusterfs-server をインストールするときにそれらも一緒にインストールされます。

この際、glusterfs-epel に含まれているパッケージではなく、
CentOS の base や updates リポジトリのパッケージが解決されてしまい、
そのパッケージだと glusterfs-epel の glusterfs-server が要求する
バージョンに適合していないため、依存関係の解決でコケているように思います。

> 読み込んだプラグイン:fastestmirror, priorities, refresh-packagekit, security

から、priorities プラグインを用いているとお見受けします。

> 1684 packages excluded due to repository priority protections

から、リポジトリの優先度も設定されていると思います。

glusterfs-epel よりも base や updates の優先度が高く設定されているのではないでしょうか?

/etc/yum.repos.d/glusterfs-epel.repo や /etc/yum.repos.d/CentOS-Base.repo に、

  priority=NN

のような記述がないでしょうか?
-------------- next part --------------
HTML$B$NE:IU%U%!%$%k$rJ]4I$7$^$7$?(B...
URL: <http://oss.poyo.jp/pipermail/centos-users/attachments/20150608/828e7035/attachment.html>


centos-users メーリングリストの案内